## org.apache.lucene.benchmark.byTask.tasks
Class ConsumeContentSourceTask

    java.lang.Object
      org.apache.lucene.benchmark.byTask.tasks.PerfTask
          org.apache.lucene.benchmark.byTask.tasks.ConsumeContentSourceTask

All Implemented Interfaces:
  Cloneable

    public class ConsumeContentSourceTask

extends PerfTask

Consumes a `ContentSource`. Supports the following parameters:

- content.source - the content source to use. (mandatory)

Field Summary

Fields inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`logStep, NEW_LINE, params, stopNow`

Constructor Summary
`ConsumeContentSourceTask(PerfRunData runData)`

Method Summary
`void` `close()`
`int` `doLogic()` Perform the task once (ignoring repetitions specification) Return number of work items done by this task.
`protected String` `getLogMessage(int recsCount)`

Methods inherited from class org.apache.lucene.benchmark.byTask.tasks.PerfTask
`clone, getBackgroundDeltaPriority, getDepth, getName, getParams, getRunData, getRunInBackground, isDisableCounting, runAndMaybeStats, setDepth, setDisableCounting, setName, setParams, setRunInBackground, setup, shouldNeverLogAtStart, shouldNotRecordStats, stopNow, supportsParams, tearDown, toString`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ConsumeContentSourceTask

    public ConsumeContentSourceTask(PerfRunData runData)

Method Detail

### getLogMessage

    protected String getLogMessage(int recsCount)

  Overrides:
    `getLogMessage` in class `PerfTask`

### close

    public void close()
               throws Exception

  Overrides:
    `close` in class `PerfTask`
  Throws:
    `Exception`

### doLogic

    public int doLogic()
                throws Exception

  Description copied from class: `PerfTask`
  Perform the task once (ignoring repetitions specification) Return number of work items done by this task. For indexing that can be number of docs added. For warming that can be number of scanned items, etc.

  Specified by:
    `doLogic` in class `PerfTask`
  Returns:
    number of work items done by this task.
  Throws:
    `Exception`